Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class SOAPConnectionFactory

    java.lang.Object
      javax.xml.soap.SOAPConnectionFactory

    public abstract class SOAPConnectionFactory

extends Object

A factory for creating `SOAPConnection` objects. Implementation of this class is optional. If `SOAPConnectionFactory.newInstance()` throws an UnsupportedOperationException then the implementation does not support the SAAJ communication infrastructure. Otherwise `SOAPConnection` objects can be created by calling `createConnection()` on the newly created `SOAPConnectionFactory` object.

Constructor Summary
`SOAPConnectionFactory()`

Method Summary
`abstract SOAPConnection` | `createConnection()` Create a new `SOAPConnection`.
`static SOAPConnectionFactory` | `newInstance()` Creates an instance of the default `SOAPConnectionFactory` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionFactory

    public SOAPConnectionFactory()

Method Detail

### newInstance

    public static SOAPConnectionFactory newInstance()
                                             throws SOAPException,
                                                    UnsupportedOperationException

  Creates an instance of the default `SOAPConnectionFactory` object.

  Returns:
    a new instance of a default `SOAPConnectionFactory` object
  Throws:
    `SOAPException` - if there was an error creating the `SOAPConnectionFactory`
    `UnsupportedOperationException` - if newInstance is not supported.

### createConnection

    public abstract SOAPConnection createConnection()
                                             throws SOAPException

  Create a new `SOAPConnection`.

  Returns:
    the new `SOAPConnection` object.
  Throws:
    `SOAPException` - if there was an exception creating the `SOAPConnection` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.